## org.codehaus.groovy.grails.resolve
Interface DependencyResolver

All Known Implementing Classes:
  IvyDependencyManager

    public interface DependencyResolver

An interface that defines methods to resolve dependencies based on a supplied dependency definition.

Since:
  1.2
Author:
  Graeme Rocher

Method Summary
`Set<org.apache.ivy.core.module.id.ModuleRevisionId>` `getModuleRevisionIds(String organisation)` Obtains the ModuleRevisionId instances for the given organisation name
`org.apache.ivy.core.report.ResolveReport` `resolveDependencies()`

Method Detail

### resolveDependencies

    org.apache.ivy.core.report.ResolveReport resolveDependencies()

### getModuleRevisionIds

    Set<org.apache.ivy.core.module.id.ModuleRevisionId> getModuleRevisionIds(String organisation)

  Obtains the ModuleRevisionId instances for the given organisation name

  Parameters:
    `organisation` - The organisation name
  Returns:
    The ModuleRevisionId

Copyright (c) 2005-2009 The Grails project